
#ifndef(PBclock) #declare PBclock = clock #end

// --------------------------------------------------------------------------------
// Persistence of Vision Ray Tracer Scene Description File
// File: sample.pov
// Vers: 3.1
// Desc: This file is the sample POV file distributed with the POV-Blur script
//       v0.9. It's a sphere over a relfective checked plane (what else! Sorry,
//       but I couldn't resist).
// Date: Mon 21 June 1999
// Auth: Chris Hernandez
// -------------------------------------------------------------------------------- 


#include "colors.inc"


// -------------------------------- light sources ----------------
light_source { <50, 0, 0> color rgb <0.6, 0.6, 0.6>*0.4 }
light_source { <0, 50, 10> color rgb <0.6, 0.6, 0.6>*0.8 }
light_source { <-500, 0, -50> color rgb <0.6, 0.6, 0.6>*0.4 }


background { color rgb <0.6, 0.6, 0.6> }


// ------------------------------------ Camera -------------------
camera {
  location  <0.0, 0.3, -10.0>
  look_at  <-1.0+(2.0*PBclock), 0, 0> 
  angle 25
}


// ------------------------------------ Environment --------------
sky_sphere {
  pigment {
    gradient y
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

fog {
  fog_type   2
  distance   15.5
  color      rgbf 0.1
  fog_offset -0.2
  fog_alt    0.3
  turbulence 0.8
}


// ------------------------------------ Objects -----------------

sphere {
   0*x, 1.0 
   texture {
      pigment { color rgb < 0.7, 0.7, 0.8 > }
      finish {
         ambient 0.35
         diffuse 0.25
         specular 0.35
         roughness 0.005
         phong 0.25
         phong_size 200
         reflection 0.25
      }
      //normal { bumps 0.35 scale 0.20 }
   }
   translate -x*3.0
   translate x*6.0*PBclock
}


plane  {
   y, 0 
   texture {
      pigment { checker color Black color White }
      finish  { reflection 0.65 ambient 0.30 diffuse 0.15  specular 0.75 roughness 0.005 }
      scale 2
      rotate -y*10
   }
   translate -y*1.0 
}